Меню юзера
Опрос
Какая у вас ОС?

SeVen
Vista
XP
MacOs
Linux/Unix


Новости

  Rails 5 Test Prescriptions Build a Healthy Codebase

Author Автор: VnRuEn | Date Дата: 23 сентября 2018| Views Просмотров: 0

В разделе: - [Информация]



Rails 5 Test Prescriptions Build a Healthy Codebase

Rails 5 Test Prescriptions: Build a Healthy Codebase by Noel Rappin
2018 | ISBN: 1680502506 | English | 406 pages | True PDF | 4 MB


Does your Rails code suffer from bloat, brittleness, or inaccuracy? Cure these problems with the regular application of test-driven development. You'll use Rails 5.1, Minitest 5, and RSpec 3.6, as well as popular testing libraries such as factory_girl and Cucumber. Updates include Rails 5.1 system tests and Webpack integration. Do what the doctor ordered to make your applications feel all better. Side effects may include better code, fewer bugs, and happier developers.

Your Ruby on Rails application is sick. Deadlines are looming, but every time you make the slightest change to the code, something else breaks. Nobody remembers what that tricky piece of code was supposed to do, and nobody can tell what it actually does. Plus, it has bugs. You need test-driven development: a process for improving the design, maintainability, and long-term viability of software.

With both practical code examples and discussion of why testing works, this book starts with the most basic features delivered as part of core Ruby on Rails. Once you've integrated those features into your coding practice, work with popular third-party testing tools such as RSpec, Jasmine, Cucumber, and factory_girl. Test the component parts of a Rails application, including the back-end model logic and the front-end display logic. With Rails examples, use testing to enable your code to respond better to future change. Plus, see how to handle real-world testing situations.

This new edition has been updated to Rails 5.1 and RSpec 3.6 and contains full coverage of new Rails features, including system tests and the Webpack-based j 7;vascript setup.

What You Need:

Ruby 2.4, Rails 5.1
DOWNLOAD
(Buy premium account for maximum speed and resuming ability)






Популярные файлы
Реклама